org.apache.hadoop.yarn.webapp

## Class NotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.ws.rs.WebApplicationException
        - - org.apache.hadoop.yarn.webapp.NotFoundException

- All Implemented Interfaces:
    Serializable

      @InterfaceAudience.LimitedPrivate(value={"YARN","MapReduce"})
      public class NotFoundException
      extends javax.ws.rs.WebApplicationException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotFoundException()`
    `NotFoundException(String msg)`
    `NotFoundException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class javax.ws.rs.WebApplicationException

      `getResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotFoundException

          public NotFoundException()

    - #### NotFoundException

          public NotFoundException(Throwable cause)

    - #### NotFoundException

          public NotFoundException(String msg)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.